com.fasterxml.jackson.dataformat.protobuf.schema

## Class FileDescriptorSet.FileOptions

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FileOptions

- Enclosing class:
    FileDescriptorSet

      public static class FileDescriptorSet.FileOptions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `cc_enable_arenas`
    `boolean` | `cc_generic_services`
    `String` | `csharp_namespace`
    `boolean` | `deprecated`
    `String` | `go_package`
    `boolean` | `java_generate_equals_and_hash`
    `boolean` | `java_generic_services`
    `boolean` | `java_multiple_files`
    `String` | `java_outer_classname`
    `String` | `java_package`
    `boolean` | `java_String_check_utf8`
    `String` | `objc_class_prefix`
    `com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FileOptions.OptimizeMode` | `optimize_for`
    `String` | `php_class_prefix`
    `boolean` | `py_generic_services`
    `String` | `swift_prefix`
    `FileDescriptorSet.UninterpretedOption[]` | `uninterpreted_option`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescriptorSet.FileOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### java_package

          public String java_package

    - #### java_outer_classname

          public String java_outer_classname

    - #### java_multiple_files

          public boolean java_multiple_files

    - #### java_generate_equals_and_hash

          public boolean java_generate_equals_and_hash

    - #### java_String_check_utf8

          public boolean java_String_check_utf8

    - #### optimize_for

          public com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FileOptions.OptimizeMode optimize_for

    - #### go_package

          public String go_package

    - #### cc_generic_services

          public boolean cc_generic_services

    - #### java_generic_services

          public boolean java_generic_services

    - #### py_generic_services

          public boolean py_generic_services

    - #### deprecated

          public boolean deprecated

    - #### cc_enable_arenas

          public boolean cc_enable_arenas

    - #### objc_class_prefix

          public String objc_class_prefix

    - #### csharp_namespace

          public String csharp_namespace

    - #### swift_prefix

          public String swift_prefix

    - #### php_class_prefix

          public String php_class_prefix

    - #### uninterpreted_option

          public FileDescriptorSet.UninterpretedOption[] uninterpreted_option

  - ### Constructor Detail

    - #### FileDescriptorSet.FileOptions

          public FileDescriptorSet.FileOptions()

Copyright © 2017 FasterXML. All rights reserved.